#!/bin/sh
##########################################################
#
# fussball_alltab.sh
#
# V1.5a
#
# Tabellen fr alle Fussball Ligen
#
# Deutschland  : Bundesliga bis Oberliga
#
# International: England, Italien, Spanien, Frankreich
#                Oesterreich, Schweiz, Portugal
#
# Flexmenu Plugin muss installiert sein
#
# Aufruf bers Flexmenu:
#
# ACTION=&Fu~zball alle Tabellen auf einen Blick,( /var/plugins/fussball_alltab.sh makemenu ; /var/plugins/shellexec /tmp/fussball_alltab.inc ; rm /tmp/fussball_alltab.* )
#
# V1.0a  Premier League 1-4 CL und 5-6 Uefa Cup berichtigt
#
# V1.1 Aufruf komplett geaendert, das Tabellenmenu
#      wird nun durch einen eigenen shellexec Aufruf gestartet
#      while Schleife zur Tabellenerstellung entfernt wegen Performance
#
# V1.2 Angepasst fuer die Saison 06/07 , Tabellen fuer Schweiz und Portugal hinzugefuegt
#
# V1.2a Aenderung der Abfrage fuer den Busybox Fehler echo -e "\r"
#
# V1.3 Erweitert um die aktuellen Spielergebnisse
#
# V1.3a Fehler gefixt
#
# V1.3b HTML Code hat sich geaendert, Fehler gefixt
#
# V1.3c HTML Code hat sich nochmals geaendert, Fehler gefixt
#
# V1.3d Fehler gefixt, zurueckspringen mit Home/Lame Taste hinzugefuegt
#
# V1.4 Erweitert um die Torjaegertabelle der einzelnen Ligen
#
# V1.4a HTML Code hat sich nochmals geaendert, Fehler gefixt
#
# V1.4b Ergebnisliste Ausgabefehler bereinigt
#
# V1.5 Angepasst fr die Saison 08/09,  Ligastruktur und Namen aktualisiert
#
# V1.5a Auf und Abstiegsregelung gem Email-Rckmeldung von kicker.de angepasst, diverse Links gefixt
#       Bemerkung: unbekannt ob Torschtzenlisten fr Regional- und Oberligen gefhrt werden
#
# Author: barabas ; V1.5 GoNext
##########################################################
#set -x

# Menudatei
menuinc=/tmp/fussball_alltab.inc

# Datum/Uhrzeit fr Titelzeile
time4title=`date "+%d.%m.%y %H:%M Uhr"`

buttontext="http://www.kicker.de $time4title"

# Menutitel global
titletext=""

# Workaround wegen Bug in Busybox thanks LivingOn ;-)
# Dazu Dreambox Typ ermitteln da sich 7000 / 7020 in
# der Implementation des echo Befehls unterscheiden.
# da ich keine Infos zu den anderen Boxen 500/5620/7025 habe
# behandle ich die einfach mal wie die 7000er :-)

# Wichtige Aenderung ! Ab busybox v1.2.1 ( Gemini Image 3.20 )
# ist der Fehler mit dem echo Kommando der Busybox behoben,
# d.h. echo -e funktioniert jetzt richtig und
# echo "\r" liefert nun auch "\r" und nicht das Steuerzeichen!
# Die Abfrage waere ab jetzt eigentlich hinfaellig.
# Aus Kompatibiltaetsgrnden zu aelteren Images hab ich die
# Abfrage aber nochmal angepasst
#-----------------------------------------------------------------------
#dreamtype=`sed -e'/^type=/!d' -e 's/type=//' /proc/bus/dreambox`

# check echo Fehler busybox v1.0.1
if [ `echo "\r" | grep -c "\r"` -gt 0 ] ; then
  TAB=`echo -e "\t"`
  CRLF=`echo -e "\r"`
  CR=`echo -e "\n"`
else
  TAB=`echo "\t"`
  CRLF=`echo "\r"`
  CR=`echo "\n"`
fi


#------------------- Menu zusammenbauen ------------------

makemenu () {

echo "
FONT=/share/fonts/micron_bold.ttf
FONTSIZE=20
LINESPP=14
WIDTH=620
HIGHT=500
MENU=Fu~zball alle Tabellen auf einen Blick
COMMENT=*
ACTION=&1. Bundesliga,$0 buli1
ACTION=&2. Bundesliga,$0 buli2
ACTION=&3. Liga,$0 liga3
COMMENT=*
ACTION=&Regionalliga Nord,$0 regnord
ACTION=&Regionalliga S~ud,$0 regsued
ACTION=&Regionalliga West, $0 regwest
COMMENT=*
ACTION=&Bayernliga,$0 oberbay
ACTION=&Bremenliga,$0 oberbremen
ACTION=&Hessenliga,$0 oberhess
ACTION=&NRW-Liga,$0 obernrw
ACTION=&Schleswig-Holstein-Liga,$0 obersh
ACTION=&Oberliga Baden-W~urttemberg,$0 oberbawue
ACTION=&Oberliga Hamburg,$0 oberhamburg
ACTION=&Oberliga Niedersachsen-Ost,$0 obernsost
ACTION=&Oberliga Niedersachsen-West,$0 obernswest
ACTION=&Oberliga NOFV Nord,$0 obernofvnord
ACTION=&Oberliga NOFV S~ud,$0 obernofvsued
ACTION=&Oberliga S~udwest,$0 obersuedwest
COMMENT=*
ACTION=&England Barclays Premier League,$0 england
ACTION=&Italien Seria A TIM,$0 italien
ACTION=&Spanien Liga BBVA,$0 spanien
ACTION=&Frankreich Ligue 1 Orange,$0 frankreich
ACTION=&~Osterreich - tipp3 - Bundesliga,$0 oesterreich
ACTION=&Schweiz - AXPO Super League,$0 schweiz
ACTION=&Portugal Liga Sagres,$0 portugal
ENDMENU
" >$menuinc

}


#------------------- Tabellen ausgeben --------------------

createtable () {

liga=$1

# Output eine Datei pro Liga
output=/tmp/fussball_alltab.$liga


  # URL und Platzierungen fr die jeweilige Liga
  case "$liga" in

           buli1) url="http://www.kicker.de/fussball/bundesliga/spieltag/tabelle/"
                  tor_url="http://www.kicker.de/news/fussball/bundesliga/torjaeger"
                  titletext="1.Bundesliga Tabelle"
                  # bei 18 Teams steigen hier 3 Teams ab die 3 ersten spielen CL 4 u.5 Uefa-Cup
                  auf1="~G";auf2="~G";auf3="~Y";uefa4="~B";uefa5="~B";ab16="~Y";ab17="~B";ab18="~B"
                  ;;
           buli2) url="http://www.kicker.de/fussball/2bundesliga/spieltag/tabelle/"
                  tor_url="http://www.kicker.de/news/fussball/2bundesliga/torjaeger"
                  titletext="2.Bundesliga Tabelle"
                  # bei 18 Teams steigen hier 2 Teams ab die 2 ersten steigen auf, Platz 3 und 16 spielt Relegation
                  auf1="~G";auf2="~G";auf3="~Y";ab16="~Y";ab17="~B";ab18="~B"
                  ;;
           liga3) url="http://www.kicker.de/fussball/3liga/spieltag/tabelle/"
                  tor_url="http://www.kicker.de/news/fussball/3liga/torjaeger"
                  titletext="3. Liga Tabelle"
                  # bei 20 Teams steigen hier 3 Teams ab die 2 ersten steigen auf, Platz 3 spielt Relegation
                  auf1="~G";auf2="~G";auf3="~Y";ab18="~B";ab19="~B";ab20="~B"
                  ;;
         regnord) url="http://www.kicker.de/fussball/regionalliga/rlnord/tabelle/"
                  tor_url="http://www.kicker.de/news/fussball/regionalliga/rlnord/torjaeger_spieltag/liga/42/saison/2008-09"
                  titletext="Regionalliga Nord Tabelle"
                  # bei 18 Teams steigen hier 4 Teams ab 1.er steigt auf
                  auf1="~G";ab15="~B";ab16="~B";ab17="~B";ab18="~B"
                  ;;
         regsued) url="http://www.kicker.de/fussball/regionalliga/rlsued/tabelle/"
                  tor_url="http://www.kicker.de/news/fussball/regionalliga/rlsued/torjaeger_spieltag/liga/44/saison/2008-09"
                  titletext="Regionalliga S~ud Tabelle"
                  # bei 18 Teams steigen hier 3 Teams ab 1.er steigt auf
                  auf1="~G";ab16="~B";ab17="~B";ab18="~B"
                  ;;
         regwest) url="http://www.kicker.de/fussball/regionalliga/rlwest/tabelle/"
                  tor_url="http://www.kicker.de/news/fussball/regionalliga/rlwest/torjaeger_spieltag/liga/43/saison/2008-09"
                  titletext="Regionalliga West Tabelle"
                  # bei 18 Teams steigen hier 3 Teams ab 1.er steigt auf
                  auf1="~G";ab16="~B";ab17="~B";ab18="~B"
                  ;;
      oberbremen) url="http://www.kicker.de/news/fussball/oberliga/bremen/tabelle/liga/381/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/bremen/torjaeger_spieltag/liga/381/saison/2008-09"
                 titletext="Bremen-Liga Tabelle"
                 # bei 16 Teams steigen hier 2 Teams ab 1.er geht in Relegation mit Hamburg und Schleswig-Holstein
                 auf1="~Y";ab15="~B";ab16="~B"
                 ;;
      obersh) url="http://www.kicker.de/news/fussball/oberliga/schleswigholstein/tabelle/liga/380/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/schleswigholstein/torjaeger_spieltag/liga/380/saison/2008-09"
                 titletext="Schleswig-Holstein-Liga Tabelle"
                 # bei 18 Teams steigen hier 4 Teams ab 1.er geht in Relegation mit Hamburg und Bremen
                 auf1="~Y";ab15="~B";ab16="~B";ab17="~B";ab18="~B"
                 ;;
    oberhamburg) url="http://www.kicker.de/news/fussball/oberliga/hamburg/tabelle/liga/379/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/hamburg/torjaeger_spieltag/liga/379/saison/2008-09"
                 titletext="Oberliga Hamburg Tabelle"
                 # bei 18 Teams steigen hier 4 Teams ab 1.er geht in Relegation mit Bremen und Schleswig-Holstein
                 auf1="~Y";ab15="~B";ab16="~B";ab17="~B";ab18="~B"
                 ;;
      obernsost) url="http://www.kicker.de/news/fussball/oberliga/niedersachsenost/tabelle/liga/378/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/niedersachsenost/torjaeger_spieltag/liga/378/saison/2008-09"
                 titletext="Oberliga Niedersachsen-Ost Tabelle"
                 # bei 18 Teams steigen hier 5 Teams ab ( Sonderregelung mglich ) 1.er geht in Relegation mit Niedersachsen-West
                 auf1="~Y";ab14="~B";ab15="~B";ab16="~B";ab17="~B";ab18="~B"
                 ;;
      obernswest) url="http://www.kicker.de/news/fussball/oberliga/niedersachsenwest/tabelle/liga/377/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/niedersachsenost/torjaeger_spieltag/liga/377/saison/2008-09"
                 titletext="Oberliga Niedersachsen West Tabelle"
                 # bei 18 Teams steigen hier 5 Teams ab ( Sonderregelung mglich ) 1.er geht in Relegation mit Niedersachsen-Ost
                 auf1="~Y";ab14="~B";ab15="~B";ab16="~B";ab17="~B";ab18="~B"
                 ;;
   obernofvnord) url="http://www.kicker.de/fussball/oberliga/nofv-nord/tabelle/liga/375/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/nofv-nord/torjaeger_spieltag/liga/375/saison/2008-09"
                 titletext="Oberliga NOFV Nord Tabelle"
                 # bei 16 Teams steigen hier 2 Teams ab 14.er Abstiegsrelegation gegen Staffel Sd 1.er steigt auf
                 auf1="~G";ab14="~Y";ab15="~B";ab16="~B"
                 ;;
   obernofvsued) url="http://www.kicker.de/fussball/oberliga/nofv-sued/tabelle/liga/376/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/nofv-sued/torjaeger_spieltag/liga/376/saison/2008-09"
                 titletext="Oberliga NOFV S~ud Tabelle"
                 # bei 16 Teams steigen hier 2 Teams ab 14.er Abstiegsrelegation gegen Staffel Nord 1.er steigt auf
                 auf1="~G";ab14="~Y";ab15="~B";ab16="~B"
                 ;;
        obernrw) url="http://www.kicker.de/news/fussball/oberliga/nrw/tabelle/liga/374/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/nrw/torjaeger_spieltag/liga/374/saison/2008-09"
                 titletext="NRW-Liga Tabelle"
                 # bei 19 Teams steigen hier 3 Teams ab 2 steigen auf Sonderregelung fr 14. 15. 16.
                 auf1="~G";auf2="~G";ab17="~B";ab18="~B";ab19="~B"
                 ;;
       oberhess) url="http://www.kicker.de/fussball/oberliga/hessen/tabelle/liga/372/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/hessen/torjaeger_spieltag/liga/372/saison/2008-09"
                 titletext="Hessen-Liga Tabelle"
                 # bei 19 Teams steigen hier 4 Teams ab 1.er steigt auf
                 auf1="~G";ab16="~B";ab17="~B";ab18="~B";ab19="~B"
                 ;;
   obersuedwest) url="http://www.kicker.de/fussball/oberliga/suedwest/tabelle/liga/373/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/suedwest/torjaeger_spieltag/liga/373/saison/2008-09"
                 titletext="Oberliga S~udwest Tabelle"
                 # bei 18 Teams steigen hier 2 Teams ab ( Sonderregelung mglich ) 1.er steigt auf
                 auf1="~G";ab17="~B";ab18="~B"
                 ;;
      oberbawue) url="http://www.kicker.de/fussball/oberliga/baden-w/tabelle/liga/370/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/baden-w/torjaeger_spieltag/liga/370/saison/2008-09"
                 titletext="Oberliga BaW~u Tabelle"
                 # bei 18 Teams steigen hier 3 Teams ab 1er steigt auf
                 auf1="~G";ab16="~B";ab17="~B";ab18="~B"
                 ;;
        oberbay) url="http://www.kicker.de/fussball/oberliga/bayern/tabelle/liga/371/"
                 tor_url="http://www.kicker.de/news/fussball/oberliga/bayern/torjaeger_spieltag/liga/371/saison/2008-09"
                 titletext="Bayernliga Tabelle"
                 # bei 18 Teams steigen hier 3 Teams ab 1er steigt auf 15er geht in die Relegation
                 auf1="~G";ab15="~Y";ab16="~B";ab17="~B";ab18="~B"
                 ;;

#-------------- Internationaler Fussball  ---------------------------------

        england) url="http://www.kicker.de/fussball/intligen/england/tabelle/liga/500/"
                 tor_url="http://www.kicker.de/news/fussball/intligen/england/torjaeger_spieltag/liga/500/saison/2008-09"
                 titletext="England Barclays Premier League"
                 # bei 20 Teams steigen hier 3 Teams ab die 3 ersten spielen CL der 4. CL-Qualifikation 5 u. 6 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";auf4="~B";uefa6="~Y";ab18="~B";ab19="~B";ab20="~B"
                 ;;
        italien) url="http://www.kicker.de/fussball/intligen/italien/tabelle/liga/700/"
                 tor_url="http://www.kicker.de/news/fussball/intligen/italien/torjaeger_spieltag/liga/700/saison/2008-09"
                 titletext="Italien Seria A TIM"
                 # bei 20 Teams steigen hier 3 Teams ab die 3 ersten spielen CL der 4. CL-Qualifikation 5 u.6 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";auf4="~B";uefa5="~Y";uefa6="~Y";ab18="~B";ab19="~B";ab20="~B"
                 ;;
        spanien) url="http://www.kicker.de/fussball/intligen/spanien/tabelle/liga/900/"
                 tor_url="http://www.kicker.de/news/fussball/intligen/spanien/torjaeger_spieltag/liga/900/saison/2008-09"
                 titletext="Spanien Liga BBVA"
                 # bei 20 Teams steigen hier 3 Teams ab die 3 ersten spielen CL der 4. CL-Qualifikation 5 u.6 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";auf4="~B";uefa5="~Y";uefa6="~Y";ab18="~B";ab19="~B";ab20="~B"
                 ;;
     frankreich) url="http://www.kicker.de/fussball/intligen/frankreich/tabelle/liga/1701/"
                 tor_url="http://www.kicker.de/news/fussball/intligen/frankreich/torjaeger_spieltag/liga/1701/saison/2008-09"
                 titletext="Frankreich Ligue 1 Orange"
                 # bei 20 Teams steigen hier 3 Teams ab die 2 ersten spielen CL der 3. CL-Qualifikation der 4. Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~B";uefa4="~Y";ab18="~B";ab19="~B";ab20="~B"
                 ;;
    oesterreich) url="http://www.kicker.de/fussball/intligen/oesterreich/tabelle/liga/1705/"
                 tor_url="http://www.kicker.de/news/fussball/intligen/oesterreich/torjaeger_spieltag/liga/1705/saison/2008-09"
                 titletext="~Osterreich - tipp3 - Bundesliga"
                 # bei 10 Teams steigen hier 1 Team ab der erste spielt CL Quali der 2te und 3te Uefa-Cup
                 auf1="~G";uefa2="~Y";uefa3="~Y";ab10="~B"
                 ;;
        schweiz) url="http://www.kicker.de/fussball/intligen/schweiz/tabelle/liga/1706/"
                 tor_url="http://www.kicker.de/news/fussball/intligen/schweiz/torjaeger_spieltag/liga/1706/saison/2008-09"
                 titletext="Schweiz - AXPO Super League"
                 # bei 10 Teams steigen hier 1 Team ab der erste spielt CL Quali der 2te und 3te Uefa-Cup
                 auf1="~G";uefa2="~Y";uefa3="~Y";ab10="~B"
                 ;;
       portugal) url="http://www.kicker.de/fussball/intligen/portugal/tabelle/liga/1716"
                 tor_url="http://www.kicker.de/news/fussball/intligen/portugal/torjaeger_spieltag/liga/1716/saison/2008-09"
                 titletext="Portugal Liga Sagres"
                 # bei 16 Teams steigen hier 2 Teams ab die ersten 2 spielen CL
                 # der 2te CL Quali der 3te, 4te und 5te Uefa-Cup
                 # 2 Teams steigen ab (15 und 16ter))
                 auf1="~G";auf2="~B";uefa3="~Y";uefa4="~Y";uefa5="~Y";ab15="~B";ab16="~B"
                 ;;
  esac

# nur wenn die Tabelle noch nicht existiert neu erzeugen
# wegen Performance

if [ ! -f $output ] ; then

  # Tabellenkopf ausgeben
  echo "~YPl.~T100Verein~T280Sp.~T310g.~T335u.~T360v.~T385Tore~T435Diff.~T475Punkte~S">$output
  echo "~s" >>$output

  #Daten aus Internet in lokale Datei einlesen ( 1. sed wegen ^M )
  wget -O- $url | sed 's/.$//g' >$output.tmp

       ######################
       # Aktuelle Tabelle
       ######################

        sed " # alles zwischen <h3 class=....</h3> und </table> bearbeiten
             /<h3 class=\"tabhead.*\">Tabelle<\/h3>/,/<\/table>/!d" $output.tmp |\

             # alle Zeilen die mit einem </td> enden zweimal zusammenfuegen
             #  und neuen Marker (#) setzen

        sed ":a
             /<\/td>$/N; s/\n/#/; ta " |\

        sed ":a
             /#$/N; s/\n//; ta " |\

             # alle Tags loeschen
        sed  "s/<[^>]*>//g
              s/&nbsp;//g

             # alle Leerzeichen,TABS vor und hinter dem Marker (#) loeschen
             s/#[ $TAB]*/#/g
             s/[ $TAB]*#/#/g

             # doppelte Marker loeschen
             s/##*/#/g" |\

             # absoulte Positionen setzen
             # zw. Platz u. Vereinsname
       sed  "s/#/~T100/
             # zw. Vereinsname u. ges. Spiele
             s/#/~T280/
             # zw. gesamt u. gewonnene Spiele
             s/#/~T315/
             # zw. gewonnene u. unentschiedene Spiele
             s/#/~T340/
             # zw. unentschiedene u. verlorene Spiele
             s/#/~T365/
             # zw. verlorene Spiele u. Tore
             s/#/~T390/
             # zw. Tore u. Tordifferenz
             s/#/~T440/
             # zw. Tordifferenz u. Punkte
             s/#/~T480/

             # alle Marker (#) am Ende der Zeile durch ~S (Standardfarbe) ersetzen
             s/#$/~S/g

             # TABs am Anfang loeschen
             s/^$TAB*//g

             # ggfs. Leerzeichen vor Tilde loeschen
             s/ ~/~/g" |\

             # nur die relevanten Zeilen ausgeben
         sed '/~/!d' |\

             # &nbsp; am Anfang durch Platzhalter -- ersetzen
             # tritt immer dann auf wenn 2 oder mehr Mannschaften
             # Punkt und Torgleich sind dann wird nur fuer den
             # ersten der Platz eingetragen
        sed "s/&nbsp;/--/g

             # CL,UEFA,Abstiegs und Aufstiegsplaetze in anderer Farbe darstellen
             s/^1~/${auf1}1~/
             s/^2~/${auf2}2~/
             s/^3~/${auf3}3~/
             s/^4~/${auf4}4~/
             s/^2~/${uefa2}2~/
             s/^3~/${uefa3}3~/
             s/^4~/${uefa4}4~/
             s/^5~/${uefa5}5~/
             s/^6~/${uefa6}6~/
             s/^10~/${ab10}10~/
             s/^14~/${ab14}14~/
             s/^15~/${ab15}15~/
             s/^16~/${ab16}16~/
             s/^17~/${ab17}17~/
             s/^18~/${ab18}18~/
             s/^19~/${ab19}19~/
             s/^20~/${ab20}20~/"  >>$output

       ######################
       # Aktueller Spieltag
       ######################

       sed " # include all between Begegnungen and </table>
             /Begegnungen<\/span>/,/<\/table>/!d

             # change all Tags by mark (#)
             s/<[^>]*>/#/g

             # if only TABs with one mark in the line then delete this line
             /^$TAB*#$/d

             # delete all TABS at the beginning of the line
             s/^$TAB*#//

             s/## -#/##/g

             /^[ ]*##*$/d" $output.tmp |\

        sed " # delete line 1 - 12
              1,12d

              # if only one mark in the line then delete this line
              #/^#$/d

              # if only TABs in the line then delete this line
              # and put all lines with two marks (##) at the end together
              /^$TAB*$/d" | sed ":a
                                 /##$/N ; s/#\n/#/; ta " |\

                             sed "s/Torsch&uuml;tzen//g
                                  s/Schema//g
                                  s/Analyse//g
                                  s/Live//g
                                  s/Vorschau//g
                                  s/Spielbericht//g
                                  s/&nbsp;/ /g" |\

                             sed ":a
                                  /- #$/N ; s/- #\n/-/; ta" |\

                             # put date of the week and date line together
                             sed ":a
                                  /Sa#$/N ; s/Sa#\n/~s\n~YSa#/; ta" |\

                             sed ":a
                                  /So#$/N ; s/So#\n/~s\n~YSo#/; ta" |\

                             sed ":a
                                  /Mo#$/N ; s/Mo#\n/~s\n~YMo#/; ta" |\

                             sed ":a
                                  /Di#$/N ; s/Di#\n/~s\n~YDi#/; ta" |\

                             sed ":a
                                  /Mi#$/N ; s/Mi#\n/~s\n~YMi#/; ta" |\

                             sed ":a
                                  /Do#$/N ; s/Do#\n/~s\n~YDo#/; ta" |\

                             sed ":a
                                  /Fr#$/N ; s/Fr#\n/~s\n~YFr#/; ta" |\

                             sed "s/^#*//

                                  s/## -#/-/g

                                  s/#$//g

                                  s/##/~T420/g

                                  s/(/~T445(/g

                                  s/#/~t/g" |\

                             sed '/^$/d
                                  /^ $/d' |\

                             sed 's/^ ~T420 ~T420//g
                                  s/^~t//g
                                  /^ /d' >$output.result

       ######################
       # Torjaeger Tabelle
       ######################

       # Kopf
       echo "~Y~T100Platz~T150Name~T300Verein~T450Tore~S" >$output.tor
       echo "~s" >>$output.tor

       # Tabelle einlesen
       wget -O- $tor_url | sed 's/.$//g' |\

       sed '/Ausw&auml;hlen/,/alle Torj&auml;ger/!d' |\

       sed ":a
            /<\/td>$/N ; s/<\/td>\n/<\/td>/; ta " |\

       sed '/^<td>/!d
            s/<[^>]*>/#/g
            s/#\+/#/g
            s/&nbsp;/-/g' |\

       #  Zeile sieht jetzt so aus: #1#Pantelic#Hertha BSC#4#

       sed 's/^#\(.*\)#\(.*\)#\(.*\)#\(.*\)#$/~T100\1~T150\2~T300\3~T450\4/g' | sed '1,18!d' >>$output.tor



fi

 while true
 do
   auswahl=`msgbox title="$titletext   (c) kicker.de" size=22 select="Zurck,Aktuelle Ergebnisse,Torj~ager" echo=1 timeout=600 msg=$output`

   case $auswahl in

                    "Zurck") break ;;
                          "") break ;;
       "Aktuelle Ergebnisse") msgbox title="Aktuelle Ergebnisse   (c) kicker.de" size=24 select="Zurck" timeout=600 msg=$output.result
                              ;;
                 "Torj~ager") msgbox title="Torj~ager 2008/2009 (c) kicker.de" size=24 select="Zurck" timeout=600 msg=$output.tor
                              ;;

   esac
 done

}


#---------------------------------- Main ------------------------------

case "$1" in

  makemenu) makemenu ;;
         *) createtable $1 ;;

esac
